QGIS Application - Bug report #12227

QGis Server - WFS - GeoJSON and escaping backslash

2015-02-19 02:07 AM - Jeffrey Bostoen

Status: Closed
Priority: Normal
Assignee:
Category:

Affected QGIS version:2.6.1
Operating System: Debian
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 20415

Description

| had a shapefile | made available as a WFS-service with QGis Server.

OpenLayers 3 kept giving me an error. Turns out | was using a path in the shapefile, D:\\location-on-disk , that was giving us some

trouble.
It seems like the JSON spec would require that it is properly escaped.

So the GeoJSON contains something like "myProperty” : "D:\\location-on-disk" instead of "myProperty" : "D:\\\\location-on-disk".

Associated revisions

Revision a449af25 - 2015-04-10 03:25 PM - Alexander Bruy

[processing] fix typo in the algorithm name (fix #12227)

Revision 8ffadacf - 2015-04-19 08:48 AM - Alexander Bruy

[processing] fix typo in the algorithm name (fix #12227)

History

#1 - 2015-04-10 06:27 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"a449af255d898b6b48fa4b3a4f0930861d2636¢3".
